Index: CKEditor/branches/versions/3.4.x/_source/lang/pt-br.js
===================================================================
--- CKEditor/branches/versions/3.4.x/_source/lang/pt-br.js	(revision 5688)
+++ CKEditor/branches/versions/3.4.x/_source/lang/pt-br.js	(revision 5754)
@@ -5,7 +5,6 @@
 
 /**
- * @fileOverview Defines the {@link CKEDITOR.lang} object, for the
- * Brazilian Portuguese language.
- */
+* @fileOverview 
+*/
 
 /**#@+
@@ -32,9 +31,9 @@
 	 * of reading non-English words. So be careful while translating it.
 	 */
-	editorTitle : 'Rich text editor, %1, press ALT 0 for help.', // MISSING
+	editorTitle : 'Editor de Texto, %1, pressione ALT 0 para obter ajuda.',
 
 	// ARIA descriptions.
-	toolbar	: 'Toolbar', // MISSING
-	editor	: 'Rich Text Editor', // MISSING
+	toolbar	: 'Barra de Ferramentas',
+	editor	: 'Editor de Texto',
 
 	// Toolbar buttons without dialogs.
@@ -57,5 +56,5 @@
 	horizontalrule	: 'Inserir Linha Horizontal',
 	pagebreak		: 'Inserir Quebra de Página',
-	unlink			: 'Remover Hiperlink',
+	unlink			: 'Remover Link',
 	undo			: 'Desfazer',
 	redo			: 'Refazer',
@@ -69,5 +68,5 @@
 		upload			: 'Enviar ao Servidor',
 		uploadSubmit	: 'Enviar para o Servidor',
-		image			: 'Figura',
+		image			: 'Imagem',
 		flash			: 'Flash',
 		form			: 'Formulário',
@@ -88,22 +87,22 @@
 		langCode		: 'Idioma',
 		longDescr		: 'Descrição da URL',
-		cssClass		: 'Classe de Folhas de Estilo',
+		cssClass		: 'Classe de CSS',
 		advisoryTitle	: 'Título',
 		cssStyle		: 'Estilos',
 		ok				: 'OK',
 		cancel			: 'Cancelar',
-		close			: 'Close', // MISSING
-		preview			: 'Preview', // MISSING
+		close			: 'Fechar',
+		preview			: 'Visualizar',
 		generalTab		: 'Geral',
 		advancedTab		: 'Avançado',
 		validateNumberFailed : 'Este valor não é um número.',
-		confirmNewPage	: 'Todas as mudanças não salvas serão perdidas. Tem certeza de que quer carregar outra página?',
+		confirmNewPage	: 'Todas as mudanças não salvas serão perdidas. Tem certeza de que quer abrir uma nova página?',
 		confirmCancel	: 'Algumas opções foram alteradas. Tem certeza de que quer fechar a caixa de diálogo?',
-		options			: 'Options', // MISSING
-		target			: 'Target', // MISSING
-		targetNew		: 'New Window (_blank)', // MISSING
-		targetTop		: 'Topmost Window (_top)', // MISSING
-		targetSelf		: 'Same Window (_self)', // MISSING
-		targetParent	: 'Parent Window (_parent)', // MISSING
+		options			: 'Opções',
+		target			: 'Destino',
+		targetNew		: 'Nova Janela (_blank)',
+		targetTop		: 'Janela de Cima (_top)',
+		targetSelf		: 'Mesma Janela (_self)',
+		targetParent	: 'Janela Pai (_parent)',
 
 		// Put the voice-only part of the label in the span.
@@ -113,5 +112,5 @@
 	contextmenu :
 	{
-		options : 'Context Menu Options' // MISSING
+		options : 'Opções Menu de Contexto'
 	},
 
@@ -121,5 +120,5 @@
 		toolbar		: 'Inserir Caractere Especial',
 		title		: 'Selecione um Caractere Especial',
-		options : 'Special Character Options' // MISSING
+		options : 'Opções de Caractere Especial'
 	},
 
@@ -127,8 +126,8 @@
 	link :
 	{
-		toolbar		: 'Inserir/Editar Hiperlink',
-		other 		: '<other>', // MISSING
-		menu		: 'Editar Hiperlink',
-		title		: 'Hiperlink',
+		toolbar		: 'Inserir/Editar Link',
+		other 		: '<outro>',
+		menu		: 'Editar Link',
+		title		: 'Editar Link',
 		info		: 'Informações',
 		target		: 'Destino',
@@ -136,5 +135,5 @@
 		advanced	: 'Avançado',
 		type		: 'Tipo de hiperlink',
-		toUrl		: 'URL', // MISSING
+		toUrl		: 'URL',
 		toAnchor	: 'Âncora nesta página',
 		toEmail		: 'E-Mail',
@@ -143,5 +142,5 @@
 		targetFrameName	: 'Nome do Frame de Destino',
 		targetPopupName	: 'Nome da Janela Pop-up',
-		popupFeatures	: 'Atributos da Janela Pop-up',
+		popupFeatures	: 'Propriedades da Janela Pop-up',
 		popupResizable	: 'Redimensionável',
 		popupStatusBar	: 'Barra de Status',
@@ -155,5 +154,5 @@
 		popupLeft		: 'Esquerda',
 		popupHeight		: 'Altura',
-		popupTop		: 'Superior',
+		popupTop		: 'Topo',
 		id				: 'Id',
 		langDir			: 'Direção do idioma',
@@ -166,15 +165,15 @@
 		advisoryTitle	: 'Título',
 		advisoryContentType	: 'Tipo de Conteúdo',
-		cssClasses		: 'Classe de Folhas de Estilo',
-		charset			: 'Conjunto de Caracteres do Hiperlink',
+		cssClasses		: 'Classe de CSS',
+		charset			: 'Charset do Link',
 		styles			: 'Estilos',
 		selectAnchor	: 'Selecione uma âncora',
-		anchorName		: 'Pelo Nome da âncora',
-		anchorId		: 'Pelo Id do Elemento',
+		anchorName		: 'Nome da âncora',
+		anchorId		: 'Id da âncora',
 		emailAddress	: 'Endereço E-Mail',
 		emailSubject	: 'Assunto da Mensagem',
 		emailBody		: 'Corpo da Mensagem',
-		noAnchors		: '(Não há âncoras disponíveis neste documento)',
-		noUrl			: 'Por favor, digite o endereço do Hiperlink',
+		noAnchors		: '(Não há âncoras no documento)',
+		noUrl			: 'Por favor, digite o endereço do Link',
 		noEmail			: 'Por favor, digite o endereço de e-mail'
 	},
@@ -193,23 +192,23 @@
 	list:
 	{
-		numberedTitle		: 'Numbered List Properties', // MISSING
-		bulletedTitle		: 'Bulleted List Properties', // MISSING
-		type				: 'Type', // MISSING
-		start				: 'Start', // MISSING
+		numberedTitle		: 'Propriedades da Lista Numerada',
+		bulletedTitle		: 'Propriedades da Lista sem Numeros',
+		type				: 'Tipo',
+		start				: 'Início',
 		validateStartNumber				:'List start number must be a whole number.', // MISSING
-		circle				: 'Circle', // MISSING
-		disc				: 'Disc', // MISSING
-		square				: 'Square', // MISSING
-		none				: 'None', // MISSING
-		notset				: '<not set>', // MISSING
-		armenian			: 'Armenian numbering', // MISSING
-		georgian			: 'Georgian numbering (an, ban, gan, etc.)', // MISSING
-		lowerRoman			: 'Lower Roman (i, ii, iii, iv, v, etc.)', // MISSING
-		upperRoman			: 'Upper Roman (I, II, III, IV, V, etc.)', // MISSING
-		lowerAlpha			: 'Lower Alpha (a, b, c, d, e, etc.)', // MISSING
-		upperAlpha			: 'Upper Alpha (A, B, C, D, E, etc.)', // MISSING
-		lowerGreek			: 'Lower Greek (alpha, beta, gamma, etc.)', // MISSING
-		decimal				: 'Decimal (1, 2, 3, etc.)', // MISSING
-		decimalLeadingZero	: 'Decimal leading zero (01, 02, 03, etc.)' // MISSING
+		circle				: 'Círculo',
+		disc				: 'Disco',
+		square				: 'Quadrado',
+		none				: 'Nenhum',
+		notset				: '<não definido>',
+		armenian			: 'Numeração Armêna',
+		georgian			: 'Numeração da Geórgia (an, ban, gan, etc.)',
+		lowerRoman			: 'Numeração Romana minúscula (i, ii, iii, iv, v, etc.)',
+		upperRoman			: 'Numeração Romana maiúscula (I, II, III, IV, V, etc.)',
+		lowerAlpha			: 'Numeração Alfabética minúscula (a, b, c, d, e, etc.)',
+		upperAlpha			: 'Numeração Alfabética Maiúscula (A, B, C, D, E, etc.)',
+		lowerGreek			: 'Numeração Grega minúscula (alpha, beta, gamma, etc.)',
+		decimal				: 'Numeração Decimal (1, 2, 3, etc.)',
+		decimalLeadingZero	: 'Numeração Decimal com zeros (01, 02, 03, etc.)'
 	},
 
@@ -247,8 +246,8 @@
 		widthPx		: 'pixels',
 		widthPc		: '%',
-		widthUnit	: 'width unit', // MISSING
+		widthUnit	: 'unidade largura',
 		height		: 'Altura',
 		cellSpace	: 'Espaçamento',
-		cellPad		: 'Enchimento',
+		cellPad		: 'Margem interna',
 		caption		: 'Legenda',
 		summary		: 'Resumo',
@@ -258,20 +257,20 @@
 		headersRow		: 'Primeira linha',
 		headersBoth		: 'Ambos',
-		invalidRows		: '"Número de linhas" tem que ser um número maior que 0.',
-		invalidCols		: '"Número de colunas" tem que ser um número maior que 0.',
-		invalidBorder	: '"Tamanho da borda" tem que ser um número.',
-		invalidWidth	: '"Largura da tabela" tem que ser um número.',
-		invalidHeight	: '"Altura da tabela" tem que ser um número.',
-		invalidCellSpacing	: '"Espaçamento das células" tem que ser um número.',
-		invalidCellPadding	: '"Margem interna das células" tem que ser um número.',
+		invalidRows		: 'O número de linhas tem que ser um número maior que 0.',
+		invalidCols		: 'O número de colunas tem que ser um número maior que 0.',
+		invalidBorder	: 'O tamanho da borda tem que ser um número.',
+		invalidWidth	: 'A largura da tabela tem que ser um número.',
+		invalidHeight	: 'A altura da tabela tem que ser um número.',
+		invalidCellSpacing	: 'O espaçamento das células tem que ser um número.',
+		invalidCellPadding	: 'A margem interna das células tem que ser um número.',
 
 		cell :
 		{
 			menu			: 'Célula',
-			insertBefore	: 'Inserir célula à esquerda',
-			insertAfter		: 'Inserir célula à direita',
+			insertBefore	: 'Inserir célula a esquerda',
+			insertAfter		: 'Inserir célula a direita',
 			deleteCell		: 'Remover Células',
 			merge			: 'Mesclar Células',
-			mergeRight		: 'Mesclar com célula à direita',
+			mergeRight		: 'Mesclar com célula a direita',
 			mergeDown		: 'Mesclar com célula abaixo',
 			splitHorizontal	: 'Dividir célula horizontalmente',
@@ -296,7 +295,7 @@
 			invalidWidth	: 'A largura da célula tem que ser um número.',
 			invalidHeight	: 'A altura da célula tem que ser um número.',
-			invalidRowSpan	: '"Linhas cobertas" tem que ser um número inteiro.',
-			invalidColSpan	: '"Colunas cobertas" tem que ser um número inteiro.',
-			chooseColor		: 'Choose' // MISSING
+			invalidRowSpan	: 'Linhas cobertas tem que ser um número inteiro.',
+			invalidColSpan	: 'Colunas cobertas tem que ser um número inteiro.',
+			chooseColor		: 'Escolher'
 		},
 
@@ -312,6 +311,6 @@
 		{
 			menu			: 'Coluna',
-			insertBefore	: 'Inserir coluna à esquerda',
-			insertAfter		: 'Inserir coluna à direita',
+			insertBefore	: 'Inserir coluna a esquerda',
+			insertAfter		: 'Inserir coluna a direita',
 			deleteColumn	: 'Remover Colunas'
 		}
@@ -343,5 +342,5 @@
 		title		: 'Formatar Formulário',
 		menu		: 'Formatar Formulário',
-		action		: 'Action',
+		action		: 'Ação',
 		method		: 'Método',
 		encoding	: 'Codificação'
@@ -352,5 +351,5 @@
 	{
 		title		: 'Formatar Caixa de Listagem',
-		selectInfo	: 'Info',
+		selectInfo	: 'Informações',
 		opAvail		: 'Opções disponíveis',
 		value		: 'Valor',
@@ -400,32 +399,32 @@
 	image :
 	{
-		title		: 'Formatar Figura',
+		title		: 'Formatar Imagem',
 		titleButton	: 'Formatar Botão de Imagem',
-		menu		: 'Formatar Figura',
-		infoTab		: 'Informações da Figura',
+		menu		: 'Formatar Imagem',
+		infoTab		: 'Informações da Imagem',
 		btnUpload	: 'Enviar para o Servidor',
-		upload		: 'Submeter',
+		upload		: 'Enviar',
 		alt			: 'Texto Alternativo',
 		width		: 'Largura',
 		height		: 'Altura',
-		lockRatio	: 'Manter proporções',
-		unlockRatio	: 'Unlock Ratio', // MISSING
+		lockRatio	: 'Travar Proporções',
+		unlockRatio	: 'Destravar Proporções',
 		resetSize	: 'Redefinir para o Tamanho Original',
 		border		: 'Borda',
-		hSpace		: 'Horizontal',
-		vSpace		: 'Vertical',
+		hSpace		: 'HSpace',
+		vSpace		: 'VSpace',
 		align		: 'Alinhamento',
 		alignLeft	: 'Esquerda',
 		alignRight	: 'Direita',
-		alertUrl	: 'Por favor, digite o URL da figura.',
-		linkTab		: 'Hiperlink',
-		button2Img	: 'Você deseja transformar o botão de imagem selecionado em uma imagem comum?',
-		img2Button	: 'Você deseja transformar a imagem selecionada em um botão de imagem?',
-		urlMissing	: 'Image source URL is missing.', // MISSING
-		validateWidth	: 'Width must be a whole number.', // MISSING
-		validateHeight	: 'Height must be a whole number.', // MISSING
-		validateBorder	: 'Border must be a whole number.', // MISSING
-		validateHSpace	: 'HSpace must be a whole number.', // MISSING
-		validateVSpace	: 'VSpace must be a whole number.' // MISSING
+		alertUrl	: 'Por favor, digite a URL da imagem.',
+		linkTab		: 'Link',
+		button2Img	: 'Deseja transformar o botão de imagem em uma imagem comum?',
+		img2Button	: 'Deseja transformar a imagem em um botão de imagem?',
+		urlMissing	: 'URL da imagem está faltando.',
+		validateWidth	: 'A largura deve ser um número inteiro.',
+		validateHeight	: 'A altura deve ser um número inteiro.',
+		validateBorder	: 'A borda deve ser um número inteiro.',
+		validateHSpace	: 'O HSpace deve ser um número inteiro.',
+		validateVSpace	: 'O VSpace deve ser um número inteiro.'
 	},
 
@@ -437,5 +436,5 @@
 		title			: 'Propriedades do Flash',
 		chkPlay			: 'Tocar Automaticamente',
-		chkLoop			: 'Loop',
+		chkLoop			: 'Tocar Infinitamente',
 		chkMenu			: 'Habilita Menu Flash',
 		chkFull			: 'Permitir tela cheia',
@@ -446,5 +445,5 @@
 		access			: 'Acesso ao script',
 		accessAlways	: 'Sempre',
-		accessSameDomain: 'Mesmo domínio',
+		accessSameDomain: 'Acessar Mesmo Domínio',
 		accessNever		: 'Nunca',
 		align			: 'Alinhamento',
@@ -459,10 +458,10 @@
 		alignTop		: 'Superior',
 		quality			: 'Qualidade',
-		qualityBest		: 'Melhor',
-		qualityHigh		: 'Alta',
-		qualityAutoHigh	: 'Alta automático',
-		qualityMedium	: 'Média',
-		qualityAutoLow	: 'Média automático',
-		qualityLow		: 'Baixa',
+		qualityBest		: 'Qualidade Melhor',
+		qualityHigh		: 'Qualidade Alta',
+		qualityAutoHigh	: 'Qualidade Alta Automática',
+		qualityMedium	: 'Qualidade Média',
+		qualityAutoLow	: 'Qualidade Baixa Automática',
+		qualityLow		: 'Qualidade Baixa',
 		windowModeWindow: 'Janela',
 		windowModeOpaque: 'Opaca',
@@ -473,11 +472,11 @@
 		width			: 'Largura',
 		height			: 'Altura',
-		hSpace			: 'Horizontal',
-		vSpace			: 'Vertical',
-		validateSrc		: 'Por favor, digite o endereço do Hiperlink',
-		validateWidth	: '"Largura" tem que ser um número.',
-		validateHeight	: '"Altura" tem que ser um número',
-		validateHSpace	: '"HSpace" tem que ser um número',
-		validateVSpace	: '"VSpace" tem que ser um número.'
+		hSpace			: 'HSpace',
+		vSpace			: 'VSpace',
+		validateSrc		: 'Por favor, digite o endereço do link',
+		validateWidth	: 'A largura tem que ser um número.',
+		validateHeight	: 'A altura tem que ser um número',
+		validateHSpace	: 'O HSpace tem que ser um número',
+		validateVSpace	: 'O VSpace tem que ser um número.'
 	},
 
@@ -486,5 +485,5 @@
 	{
 		toolbar			: 'Verificar Ortografia',
-		title			: 'Corretor gramatical',
+		title			: 'Corretor Ortográfico',
 		notAvailable	: 'Desculpe, o serviço não está disponível no momento.',
 		errorLoading	: 'Erro carregando servidor de aplicação: %s.',
@@ -501,5 +500,5 @@
 		noChanges		: 'Verificação ortográfica encerrada: Não houve alterações',
 		oneChange		: 'Verificação ortográfica encerrada: Uma palavra foi alterada',
-		manyChanges		: 'Verificação ortográfica encerrada: %1 foram alteradas',
+		manyChanges		: 'Verificação ortográfica encerrada: %1 palavras foram alteradas',
 		ieSpellDownload	: 'A verificação ortográfica não foi instalada. Você gostaria de realizar o download agora?'
 	},
@@ -509,15 +508,15 @@
 		toolbar	: 'Emoticon',
 		title	: 'Inserir Emoticon',
-		options : 'Smiley Options' // MISSING
+		options : 'Opções de Emoticons'
 	},
 
 	elementsPath :
 	{
-		eleLabel : 'Elements path', // MISSING
+		eleLabel : 'Caminho dos Elementos',
 		eleTitle : 'Elemento %1'
 	},
 
-	numberedlist	: 'Numeração',
-	bulletedlist	: 'Marcadores',
+	numberedlist	: 'Lista numerada',
+	bulletedlist	: 'Lista sem números',
 	indent			: 'Aumentar Recuo',
 	outdent			: 'Diminuir Recuo',
@@ -531,5 +530,5 @@
 	},
 
-	blockquote : 'Recuo',
+	blockquote : 'Citação',
 
 	clipboard :
@@ -538,7 +537,7 @@
 		cutError	: 'As configurações de segurança do seu navegador não permitem que o editor execute operações de recortar automaticamente. Por favor, utilize o teclado para recortar (Ctrl/Cmd+X).',
 		copyError	: 'As configurações de segurança do seu navegador não permitem que o editor execute operações de copiar automaticamente. Por favor, utilize o teclado para copiar (Ctrl/Cmd+C).',
-		pasteMsg	: 'Transfira o link usado no box usando o teclado com (<STRONG>Ctrl/Cmd+V</STRONG>) e <STRONG>OK</STRONG>.',
-		securityMsg	: 'As configurações de segurança do seu navegador não permitem que o editor acesse os dados da área de transferência diretamente. Por favor cole o conteúdo novamente nesta janela.',
-		pasteArea	: 'Paste Area' // MISSING
+		pasteMsg	: 'Transfira o link usado na caixa usando o teclado com (<STRONG>Ctrl/Cmd+V</STRONG>) e <STRONG>OK</STRONG>.',
+		securityMsg	: 'As configurações de segurança do seu navegador não permitem que o editor acesse os dados da área de transferência diretamente. Por favor cole o conteúdo manualmente nesta janela.',
+		pasteArea	: 'Área para Colar'
 	},
 
@@ -548,5 +547,5 @@
 		toolbar			: 'Colar do Word',
 		title			: 'Colar do Word',
-		error			: 'It was not possible to clean up the pasted data due to an internal error' // MISSING
+		error			: 'Não foi possível limpar os dados colados devido a um erro interno'
 	},
 
@@ -560,6 +559,6 @@
 	{
 		button			: 'Modelos de layout',
-		title			: 'Modelo de layout do conteúdo',
-		options : 'Template Options', // MISSING
+		title			: 'Modelo de layout de conteúdo',
+		options : 'Opções de Template',
 		insertOption	: 'Substituir o conteúdo atual',
 		selectPromptMsg	: 'Selecione um modelo de layout para ser aberto no editor<br>(o conteúdo atual será perdido):',
@@ -567,12 +566,12 @@
 	},
 
-	showBlocks : 'Mostrar blocos',
+	showBlocks : 'Mostrar blocos de código',
 
 	stylesCombo :
 	{
 		label		: 'Estilo',
-		panelTitle	: 'Formatting Styles', // MISSING
+		panelTitle	: 'Estilos de Formatação',
 		panelTitle1	: 'Estilos de bloco',
-		panelTitle2	: 'Estilos em texto corrido',
+		panelTitle2	: 'Estilos de texto corrido',
 		panelTitle3	: 'Estilos de objeto'
 	},
@@ -597,17 +596,17 @@
 	div :
 	{
-		title				: 'Create Div Container', // MISSING
-		toolbar				: 'Create Div Container', // MISSING
-		cssClassInputLabel	: 'Stylesheet Classes', // MISSING
-		styleSelectLabel	: 'Style', // MISSING
-		IdInputLabel		: 'Id', // MISSING
-		languageCodeInputLabel	: ' Language Code', // MISSING
-		inlineStyleInputLabel	: 'Inline Style', // MISSING
-		advisoryTitleInputLabel	: 'Advisory Title', // MISSING
-		langDirLabel		: 'Language Direction', // MISSING
-		langDirLTRLabel		: 'Left to Right (LTR)', // MISSING
-		langDirRTLLabel		: 'Right to Left (RTL)', // MISSING
-		edit				: 'Edit Div', // MISSING
-		remove				: 'Remove Div' // MISSING
+		title				: 'Criar Container de DIV',
+		toolbar				: 'Criar Container de DIV',
+		cssClassInputLabel	: 'Classes de CSS',
+		styleSelectLabel	: 'Estilo',
+		IdInputLabel		: 'Id',
+		languageCodeInputLabel	: 'Código de Idioma',
+		inlineStyleInputLabel	: 'Estilo Inline',
+		advisoryTitleInputLabel	: 'Título Consulta',
+		langDirLabel		: 'Direção da Escrita',
+		langDirLTRLabel		: 'Esquerda para Direita (LTR)',
+		langDirRTLLabel		: 'Direita para Esquerda (RTL)',
+		edit				: 'Editar Div',
+		remove				: 'Remover Div'
   	},
 
@@ -630,5 +629,5 @@
 		textColorTitle	: 'Cor do Texto',
 		bgColorTitle	: 'Cor do Plano de Fundo',
-		panelTitle		: 'Colors', // MISSING
+		panelTitle		: 'Cores',
 		auto			: 'Automático',
 		more			: 'Mais Cores...'
@@ -637,56 +636,56 @@
 	colors :
 	{
-		'000' : 'Black', // MISSING
-		'800000' : 'Maroon', // MISSING
-		'8B4513' : 'Saddle Brown', // MISSING
-		'2F4F4F' : 'Dark Slate Gray', // MISSING
-		'008080' : 'Teal', // MISSING
-		'000080' : 'Navy', // MISSING
-		'4B0082' : 'Indigo', // MISSING
-		'696969' : 'Dim Gray', // MISSING
-		'B22222' : 'Fire Brick', // MISSING
-		'A52A2A' : 'Brown', // MISSING
-		'DAA520' : 'Golden Rod', // MISSING
-		'006400' : 'Dark Green', // MISSING
-		'40E0D0' : 'Turquoise', // MISSING
-		'0000CD' : 'Medium Blue', // MISSING
-		'800080' : 'Purple', // MISSING
-		'808080' : 'Gray', // MISSING
-		'F00' : 'Red', // MISSING
-		'FF8C00' : 'Dark Orange', // MISSING
-		'FFD700' : 'Gold', // MISSING
-		'008000' : 'Green', // MISSING
-		'0FF' : 'Cyan', // MISSING
-		'00F' : 'Blue', // MISSING
-		'EE82EE' : 'Violet', // MISSING
-		'A9A9A9' : 'Dark Gray', // MISSING
-		'FFA07A' : 'Light Salmon', // MISSING
-		'FFA500' : 'Orange', // MISSING
-		'FFFF00' : 'Yellow', // MISSING
-		'00FF00' : 'Lime', // MISSING
-		'AFEEEE' : 'Pale Turquoise', // MISSING
-		'ADD8E6' : 'Light Blue', // MISSING
-		'DDA0DD' : 'Plum', // MISSING
-		'D3D3D3' : 'Light Grey', // MISSING
-		'FFF0F5' : 'Lavender Blush', // MISSING
-		'FAEBD7' : 'Antique White', // MISSING
-		'FFFFE0' : 'Light Yellow', // MISSING
-		'F0FFF0' : 'Honeydew', // MISSING
-		'F0FFFF' : 'Azure', // MISSING
-		'F0F8FF' : 'Alice Blue', // MISSING
-		'E6E6FA' : 'Lavender', // MISSING
-		'FFF' : 'White' // MISSING
+		'000' : 'Preto',
+		'800000' : 'Foquete',
+		'8B4513' : 'Marrom 1',
+		'2F4F4F' : 'Cinza 1',
+		'008080' : 'Cerceta',
+		'000080' : 'Azul Marinho',
+		'4B0082' : 'Índigo',
+		'696969' : 'Cinza 2',
+		'B22222' : 'Tijolo de Fogo',
+		'A52A2A' : 'Marrom 2',
+		'DAA520' : 'Vara Dourada',
+		'006400' : 'Verde Escuro',
+		'40E0D0' : 'Turquesa',
+		'0000CD' : 'Azul Médio',
+		'800080' : 'Roxo',
+		'808080' : 'Cinza 3',
+		'F00' : 'Vermelho',
+		'FF8C00' : 'Laranja Escuro',
+		'FFD700' : 'Dourado',
+		'008000' : 'Verde',
+		'0FF' : 'Ciano',
+		'00F' : 'Azul',
+		'EE82EE' : 'Violeta',
+		'A9A9A9' : 'Cinza Escuro',
+		'FFA07A' : 'Salmão Claro',
+		'FFA500' : 'Laranja',
+		'FFFF00' : 'Amarelo',
+		'00FF00' : 'Lima',
+		'AFEEEE' : 'Turquesa Pálido',
+		'ADD8E6' : 'Azul Claro',
+		'DDA0DD' : 'Ameixa',
+		'D3D3D3' : 'Cinza Claro',
+		'FFF0F5' : 'Lavanda 1',
+		'FAEBD7' : 'Branco Antiguidade',
+		'FFFFE0' : 'Amarelo Claro',
+		'F0FFF0' : 'Orvalho',
+		'F0FFFF' : 'Azure',
+		'F0F8FF' : 'Azul Alice',
+		'E6E6FA' : 'Lavanda 2',
+		'FFF' : 'Branco'
 	},
 
 	scayt :
 	{
-		title			: 'Correção gramatical durante a digitação',
-		opera_title		: 'Not supported by Opera', // MISSING
-		enable			: 'Habilitar SCAYT',
-		disable			: 'Desabilitar SCAYT',
-		about			: 'Sobre o SCAYT',
-		toggle			: 'Ativar/desativar SCAYT',
+		title			: 'Correção ortográfica durante a digitação',
+		opera_title		: 'Não suportado no Opera',
+		enable			: 'Habilitar correção ortográfica durante a digitação',
+		disable			: 'Desabilitar correção ortográfica durante a digitação',
+		about			: 'Sobre a correção ortográfica durante a digitação',
+		toggle			: 'Ativar/desativar correção ortográfica durante a digitação',
 		options			: 'Opções',
-		langs			: 'Línguas',
+		langs			: 'Idiomas',
 		moreSuggestions	: 'Mais sugestões',
 		ignore			: 'Ignorar',
@@ -696,18 +695,18 @@
 
 		optionsTab		: 'Opções',
-		allCaps			: 'Ignore All-Caps Words', // MISSING
-		ignoreDomainNames : 'Ignore Domain Names', // MISSING
-		mixedCase		: 'Ignore Words with Mixed Case', // MISSING
-		mixedWithDigits	: 'Ignore Words with Numbers', // MISSING
-
-		languagesTab	: 'Línguas',
+		allCaps			: 'Ignorar palavras maiúsculas',
+		ignoreDomainNames : 'Ignorar nomes de domínio',
+		mixedCase		: 'Ignorar palavras com maiúsculas e minúsculas misturadas',
+		mixedWithDigits	: 'Ignorar palavras com números',
+
+		languagesTab	: 'Idiomas',
 
 		dictionariesTab	: 'Dicionários',
-		dic_field_name	: 'Dictionary name', // MISSING
-		dic_create		: 'Create', // MISSING
-		dic_restore		: 'Restore', // MISSING
-		dic_delete		: 'Delete', // MISSING
-		dic_rename		: 'Rename', // MISSING
-		dic_info		: 'Initially the User Dictionary is stored in a Cookie. However, Cookies are limited in size. When the User Dictionary grows to a point where it cannot be stored in a Cookie, then the dictionary may be stored on our server. To store your personal dictionary on our server you should specify a name for your dictionary. If you already have a stored dictionary, please type it\'s name and click the Restore button.', // MISSING
+		dic_field_name	: 'Nome do Dicionário',
+		dic_create		: 'Criar',
+		dic_restore		: 'Restaurar',
+		dic_delete		: 'Excluir',
+		dic_rename		: 'Renomear',
+		dic_info		: 'Inicialmente, o dicionário do usuário fica armazenado em um Cookie. Porém, Cookies tem tamanho limitado, portanto quand o dicionário do usuário atingir o tamanho limite poderá ser armazenado no nosso servidor. Para armazenar seu dicionário pessoal no nosso servidor deverá especificar um nome para ele. Se já tiver um dicionário armazenado por favor especifique o seu nome e clique em Restaurar.',
 
 		aboutTab		: 'Sobre'
@@ -717,11 +716,11 @@
 	{
 		title		: 'Sobre o CKEditor',
-		dlgTitle	: 'About CKEditor', // MISSING
-		moreInfo	: 'Para informações sobre a licença, por favor, visite o nosso site na Internet:',
-		copy		: 'Direito de reprodução &copy; $1. Todos os direitos reservados.'
+		dlgTitle	: 'Sobre o CKEditor',
+		moreInfo	: 'Para informações sobre a licença por favor visite o nosso site:',
+		copy		: 'Copyright &copy; $1. Todos os direitos reservados.'
 	},
 
 	maximize : 'Maximizar',
-	minimize : 'Minimize', // MISSING
+	minimize : 'Minimize',
 
 	fakeobjects :
@@ -737,13 +736,13 @@
 	colordialog :
 	{
-		title		: 'Select color', // MISSING
-		options	:	'Color Options', // MISSING
-		highlight	: 'Highlight', // MISSING
-		selected	: 'Selected Color', // MISSING
-		clear		: 'Clear' // MISSING
-	},
-
-	toolbarCollapse	: 'Collapse Toolbar', // MISSING
-	toolbarExpand	: 'Expand Toolbar', // MISSING
+		title		: 'Selecione uma cor',
+		options	:	'Opções de Cor',
+		highlight	: 'Grifar',
+		selected	: 'Cor Selecionada',
+		clear		: 'Limpar'
+	},
+
+	toolbarCollapse	: 'Diminuir Barra de Ferramentas',
+	toolbarExpand	: 'Aumentar Barra de Ferramentas',
 
 	bidi :