Index: CKEditor/trunk/_source/plugins/colorbutton/plugin.js
===================================================================
--- CKEditor/trunk/_source/plugins/colorbutton/plugin.js	(revision 5782)
+++ CKEditor/trunk/_source/plugins/colorbutton/plugin.js	(revision 5783)
@@ -41,4 +41,6 @@
 						block.element.addClass( 'cke_colorblock' );
 						block.element.setHtml( renderColors( panel, type ) );
+						// The block should not have scrollbars (#5933, #6056)
+						block.element.getDocument().getBody().setStyle( 'overflow', 'hidden' );
 
 						var keys = block.keys;
Index: CKEditor/trunk/_source/skins/kama/panel.css
===================================================================
--- CKEditor/trunk/_source/skins/kama/panel.css	(revision 5782)
+++ CKEditor/trunk/_source/skins/kama/panel.css	(revision 5783)
@@ -47,5 +47,5 @@
 body.cke_panel_frame
 {
-	overflow: hidden;
+	overflow: auto;
 }
 
@@ -153,6 +153,6 @@
 {
 	padding: 3px;
-    font-size: 11px;
-    font-family: 'Microsoft Sans Serif', Tahoma, Arial, Verdana, Sans-Serif;
+   font-size: 11px;
+   font-family: 'Microsoft Sans Serif', Tahoma, Arial, Verdana, Sans-Serif;
 }
 
@@ -168,5 +168,5 @@
 	width: 10px;
 	height: 10px;
-    border: #808080 1px solid;
+   border: #808080 1px solid;
 	float: left;
 }
Index: CKEditor/trunk/_source/skins/office2003/panel.css
===================================================================
--- CKEditor/trunk/_source/skins/office2003/panel.css	(revision 5782)
+++ CKEditor/trunk/_source/skins/office2003/panel.css	(revision 5783)
@@ -6,5 +6,5 @@
 .cke_skin_office2003 .cke_panel
 {
-    border: 1px solid #8f8f73;
+   border: 1px solid #8f8f73;
 	background-color: #fff;
 
@@ -47,5 +47,5 @@
 body.cke_panel_frame
 {
-	overflow: hidden;
+	overflow: auto;
 }
 
@@ -55,5 +55,5 @@
 	margin: 3px;
 	padding: 0px;
-    white-space: nowrap;
+   white-space: nowrap;
 }
 
@@ -71,5 +71,5 @@
 	text-decoration: none;
 	overflow: hidden;
-    text-overflow: ellipsis;
+   text-overflow: ellipsis;
 }
 
@@ -115,8 +115,8 @@
 .cke_panel_grouptitle
 {
-    font-size: 11px;
-    font-family: 'Microsoft Sans Serif' , Tahoma, Arial, Verdana, Sans-Serif;
+   font-size: 11px;
+   font-family: 'Microsoft Sans Serif' , Tahoma, Arial, Verdana, Sans-Serif;
 	font-weight: bold;
-    white-space: nowrap;
+   white-space: nowrap;
 	background-color: #dcdcdc;
 	color: #000;
@@ -148,6 +148,6 @@
 {
 	padding: 3px;
-    font-size: 11px;
-    font-family: 'Microsoft Sans Serif', Tahoma, Arial, Verdana, Sans-Serif;
+   font-size: 11px;
+   font-family: 'Microsoft Sans Serif', Tahoma, Arial, Verdana, Sans-Serif;
 }
 
@@ -163,5 +163,5 @@
 	width: 10px;
 	height: 10px;
-    border: #808080 1px solid;
+   border: #808080 1px solid;
 	float: left;
 }
Index: CKEditor/trunk/_source/skins/v2/panel.css
===================================================================
--- CKEditor/trunk/_source/skins/v2/panel.css	(revision 5782)
+++ CKEditor/trunk/_source/skins/v2/panel.css	(revision 5783)
@@ -47,5 +47,5 @@
 body.cke_panel_frame
 {
-	overflow: hidden;
+	overflow: auto;
 }
 
@@ -55,5 +55,5 @@
 	margin: 3px;
 	padding: 0px;
-    white-space: nowrap;
+   white-space: nowrap;
 }
 
@@ -71,5 +71,5 @@
 	text-decoration: none;
 	overflow: hidden;
-    text-overflow: ellipsis;
+   text-overflow: ellipsis;
 }
 
@@ -115,8 +115,8 @@
 .cke_panel_grouptitle
 {
-    font-size: 11px;
-    font-family: 'Microsoft Sans Serif' , Tahoma, Arial, Verdana, Sans-Serif;
+   font-size: 11px;
+   font-family: 'Microsoft Sans Serif' , Tahoma, Arial, Verdana, Sans-Serif;
 	font-weight: bold;
-    white-space: nowrap;
+   white-space: nowrap;
 	background-color: #dcdcdc;
 	color: #000;
@@ -148,6 +148,6 @@
 {
 	padding: 3px;
-    font-size: 11px;
-    font-family: 'Microsoft Sans Serif', Tahoma, Arial, Verdana, Sans-Serif;
+	font-size: 11px;
+	font-family: 'Microsoft Sans Serif', Tahoma, Arial, Verdana, Sans-Serif;
 }
 
@@ -163,5 +163,5 @@
 	width: 10px;
 	height: 10px;
-    border: #808080 1px solid;
+   border: #808080 1px solid;
 	float: left;
 }