Index: CKEditor/branches/versions/3.4.x/_source/plugins/bidi/plugin.js
===================================================================
--- CKEditor/branches/versions/3.4.x/_source/plugins/bidi/plugin.js	(revision 5833)
+++ CKEditor/branches/versions/3.4.x/_source/plugins/bidi/plugin.js	(revision 5837)
@@ -12,6 +12,10 @@
 	function onSelectionChange( evt )
 	{
-		var editor = evt.editor,
-			path = evt.data.path;
+		evt.editor.getCommand( 'bidirtl' ).setState( getState( evt.editor, evt.data.path, 'rtl' ) );
+		evt.editor.getCommand( 'bidiltr' ).setState( getState( evt.editor, evt.data.path, 'ltr' ) );
+	}
+
+	function getState( editor, path, dir )
+	{
 		var useComputedState = editor.config.useComputedState,
 			selectedElement;
@@ -38,17 +42,10 @@
 			return CKEDITOR.TRISTATE_OFF;
 
-		var selectionDir = useComputedState ?
+		selectedElement = useComputedState ?
 			selectedElement.getComputedStyle( 'direction' ) :
 			selectedElement.getStyle( 'direction' ) || selectedElement.getAttribute( 'dir' );
 
-		editor.getCommand( 'bidirtl' ).setState( selectionDir == 'rtl' ? CKEDITOR.TRISTATE_ON : CKEDITOR.TRISTATE_OFF );
-		editor.getCommand( 'bidiltr' ).setState( selectionDir == 'ltr' ? CKEDITOR.TRISTATE_ON : CKEDITOR.TRISTATE_OFF );
-
-		var chromeRoot = editor.container.getChild( 1 );
-
-		if ( selectionDir != editor.lang.dir )
-			chromeRoot.addClass( 'cke_mixed_dir_content' );
-		else
-			chromeRoot.removeClass( 'cke_mixed_dir_content' );
+		return ( selectedElement == dir ) ?
+			CKEDITOR.TRISTATE_ON : CKEDITOR.TRISTATE_OFF;
 	}
 
Index: CKEditor/branches/versions/3.4.x/_source/plugins/menu/plugin.js
===================================================================
--- CKEditor/branches/versions/3.4.x/_source/plugins/menu/plugin.js	(revision 5833)
+++ CKEditor/branches/versions/3.4.x/_source/plugins/menu/plugin.js	(revision 5837)
@@ -1,3 +1,3 @@
-﻿﻿/*
+﻿/*
 Copyright (c) 2003-2010, CKSource - Frederico Knabben. All rights reserved.
 For licensing, see LICENSE.html or http://ckeditor.com/license
@@ -222,9 +222,6 @@
 				sortItems( items );
 
-				var chromeRoot = editor.element.getNext().getChild( 1 );
-				var mixedContentClass = chromeRoot.hasClass( 'cke_mixed_dir_content' ) ? ' cke_mixed_dir_content' : '';
-
 				// Build the HTML that composes the menu and its items.
-				var output = [ '<div class="cke_menu' + mixedContentClass + '" role="presentation">' ];
+				var output = [ '<div class="cke_menu" role="presentation">' ];
 
 				var length = items.length,
Index: CKEditor/branches/versions/3.4.x/_source/skins/kama/icons.css
===================================================================
--- CKEditor/branches/versions/3.4.x/_source/skins/kama/icons.css	(revision 5833)
+++ CKEditor/branches/versions/3.4.x/_source/skins/kama/icons.css	(revision 5837)
@@ -249,14 +249,4 @@
 }
 
-.cke_skin_kama .cke_mixed_dir_content .cke_button_numberedlist .cke_icon
-{
-	background-position: 0 -1217px;
-}
-
-.cke_skin_kama .cke_mixed_dir_content .cke_button_bulletedlist .cke_icon
-{
-	background-position: 0 -1233px;
-}
-
 .cke_skin_kama .cke_button_outdent .cke_icon
 {
@@ -269,14 +259,4 @@
 }
 
-.cke_skin_kama .cke_mixed_dir_content .cke_button_indent .cke_icon
-{
-	background-position: 0 -1265px;
-}
-
-.cke_skin_kama .cke_mixed_dir_content .cke_button_outdent .cke_icon
-{
-	background-position: 0 -1249px;
-}
-
 .cke_skin_kama .cke_button_justifyleft .cke_icon
 {
Index: CKEditor/branches/versions/3.4.x/_source/skins/kama/menu.css
===================================================================
--- CKEditor/branches/versions/3.4.x/_source/skins/kama/menu.css	(revision 5833)
+++ CKEditor/branches/versions/3.4.x/_source/skins/kama/menu.css	(revision 5837)
@@ -43,9 +43,4 @@
 	height: 16px;
 	float: left;
-}
-
-.cke_rtl .cke_skin_kama .cke_menuitem .cke_icon
-{
-	background-image: url(icons_rtl.png);
 }
 
Index: CKEditor/branches/versions/3.4.x/_source/skins/kama/toolbar.css
===================================================================
--- CKEditor/branches/versions/3.4.x/_source/skins/kama/toolbar.css	(revision 5833)
+++ CKEditor/branches/versions/3.4.x/_source/skins/kama/toolbar.css	(revision 5837)
@@ -243,9 +243,4 @@
 .cke_skin_kama .cke_rtl .cke_button .cke_icon
 {
-	background-image: url(icons_rtl.png);
-}
-
-.cke_skin_kama .cke_rtl .cke_button .cke_icon
-{
 	float: right;
 }
Index: CKEditor/branches/versions/3.4.x/_source/skins/office2003/icons.css
===================================================================
--- CKEditor/branches/versions/3.4.x/_source/skins/office2003/icons.css	(revision 5833)
+++ CKEditor/branches/versions/3.4.x/_source/skins/office2003/icons.css	(revision 5837)
@@ -249,14 +249,4 @@
 }
 
-.cke_skin_office2003 .cke_mixed_dir_content .cke_button_numberedlist .cke_icon
-{
-	background-position: 0 -1217px;
-}
-
-.cke_skin_office2003 .cke_mixed_dir_content .cke_button_bulletedlist .cke_icon
-{
-	background-position: 0 -1233px;
-}
-
 .cke_skin_office2003 .cke_button_outdent .cke_icon
 {
@@ -269,14 +259,4 @@
 }
 
-.cke_skin_office2003 .cke_mixed_dir_content .cke_button_indent .cke_icon
-{
-	background-position: 0 -1265px;
-}
-
-.cke_skin_office2003 .cke_mixed_dir_content .cke_button_outdent .cke_icon
-{
-	background-position: 0 -1249px;
-}
-
 .cke_skin_office2003 .cke_button_justifyleft .cke_icon
 {
Index: CKEditor/branches/versions/3.4.x/_source/skins/office2003/menu.css
===================================================================
--- CKEditor/branches/versions/3.4.x/_source/skins/office2003/menu.css	(revision 5833)
+++ CKEditor/branches/versions/3.4.x/_source/skins/office2003/menu.css	(revision 5837)
@@ -43,9 +43,4 @@
 	height: 16px;
 	float: left;
-}
-
-.cke_rtl .cke_skin_office2003 .cke_menuitem .cke_icon
-{
-	background-image: url(icons_rtl.png);
 }
 
Index: CKEditor/branches/versions/3.4.x/_source/skins/office2003/toolbar.css
===================================================================
--- CKEditor/branches/versions/3.4.x/_source/skins/office2003/toolbar.css	(revision 5833)
+++ CKEditor/branches/versions/3.4.x/_source/skins/office2003/toolbar.css	(revision 5837)
@@ -309,9 +309,4 @@
 }
 
-.cke_skin_office2003 .cke_rtl .cke_button .cke_icon
-{
-	background-image: url(icons_rtl.png);
-}
-
 .cke_skin_office2003 .cke_button .cke_label
 {
Index: CKEditor/branches/versions/3.4.x/_source/skins/v2/icons.css
===================================================================
--- CKEditor/branches/versions/3.4.x/_source/skins/v2/icons.css	(revision 5833)
+++ CKEditor/branches/versions/3.4.x/_source/skins/v2/icons.css	(revision 5837)
@@ -249,14 +249,4 @@
 }
 
-.cke_skin_v2 .cke_mixed_dir_content .cke_button_numberedlist .cke_icon
-{
-	background-position: 0 -1217px;
-}
-
-.cke_skin_v2 .cke_mixed_dir_content .cke_button_bulletedlist .cke_icon
-{
-	background-position: 0 -1233px;
-}
-
 .cke_skin_v2 .cke_button_outdent .cke_icon
 {
@@ -269,14 +259,4 @@
 }
 
-.cke_skin_v2 .cke_mixed_dir_content .cke_button_indent .cke_icon
-{
-	background-position: 0 -1265px;
-}
-
-.cke_skin_v2 .cke_mixed_dir_content .cke_button_outdent .cke_icon
-{
-	background-position: 0 -1249px;
-}
-
 .cke_skin_v2 .cke_button_justifyleft .cke_icon
 {
Index: CKEditor/branches/versions/3.4.x/_source/skins/v2/menu.css
===================================================================
--- CKEditor/branches/versions/3.4.x/_source/skins/v2/menu.css	(revision 5833)
+++ CKEditor/branches/versions/3.4.x/_source/skins/v2/menu.css	(revision 5837)
@@ -42,9 +42,4 @@
 	height: 16px;
 	float: left;
-}
-
-.cke_rtl .cke_skin_v2 .cke_menuitem .cke_icon
-{
-	background-image: url(icons_rtl.png);
 }
 
Index: CKEditor/branches/versions/3.4.x/_source/skins/v2/toolbar.css
===================================================================
--- CKEditor/branches/versions/3.4.x/_source/skins/v2/toolbar.css	(revision 5833)
+++ CKEditor/branches/versions/3.4.x/_source/skins/v2/toolbar.css	(revision 5837)
@@ -282,9 +282,4 @@
 }
 
-.cke_skin_v2 .cke_rtl .cke_button .cke_icon
-{
-	background-image: url(icons_rtl.png);
-}
-
 .cke_skin_v2 .cke_button .cke_label
 {