Index: CKEditor/trunk/CHANGES.html
===================================================================
--- CKEditor/trunk/CHANGES.html	(revision 5836)
+++ CKEditor/trunk/CHANGES.html	(revision 5838)
@@ -52,4 +52,5 @@
 		<li><a href="http://dev.ckeditor.com/ticket/5956">#5956</a> : [FF] It was impossible to create an editor inside an hidden container.</li>
 		<li><a href="http://dev.ckeditor.com/ticket/5753">#5753</a> : It was impossible to have a default value for the name field in the select dialog.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/6041">#6041</a> : BIDI: Direction of Increase Indent & Decrease Indent icons are not reversed after changing Lang direction to RTL.</li>		
 	</ul>
 	<h3>
Index: CKEditor/trunk/_source/plugins/bidi/plugin.js
===================================================================
--- CKEditor/trunk/_source/plugins/bidi/plugin.js	(revision 5836)
+++ CKEditor/trunk/_source/plugins/bidi/plugin.js	(revision 5838)
@@ -12,10 +12,6 @@
 	function onSelectionChange( evt )
 	{
-		evt.editor.getCommand( 'bidirtl' ).setState( getState( evt.editor, evt.data.path, 'rtl' ) );
-		evt.editor.getCommand( 'bidiltr' ).setState( getState( evt.editor, evt.data.path, 'ltr' ) );
-	}
-
-	function getState( editor, path, dir )
-	{
+		var editor = evt.editor,
+			path = evt.data.path;
 		var useComputedState = editor.config.useComputedState,
 			selectedElement;
@@ -42,10 +38,17 @@
 			return CKEDITOR.TRISTATE_OFF;
 
-		selectedElement = useComputedState ?
+		var selectionDir = useComputedState ?
 			selectedElement.getComputedStyle( 'direction' ) :
 			selectedElement.getStyle( 'direction' ) || selectedElement.getAttribute( 'dir' );
 
-		return ( selectedElement == dir ) ?
-			CKEDITOR.TRISTATE_ON : CKEDITOR.TRISTATE_OFF;
+		editor.getCommand( 'bidirtl' ).setState( selectionDir == 'rtl' ? CKEDITOR.TRISTATE_ON : CKEDITOR.TRISTATE_OFF );
+		editor.getCommand( 'bidiltr' ).setState( selectionDir == 'ltr' ? CKEDITOR.TRISTATE_ON : CKEDITOR.TRISTATE_OFF );
+
+		var chromeRoot = editor.container.getChild( 1 );
+
+		if ( selectionDir != editor.lang.dir )
+			chromeRoot.addClass( 'cke_mixed_dir_content' );
+		else
+			chromeRoot.removeClass( 'cke_mixed_dir_content' );
 	}
 
Index: CKEditor/trunk/_source/plugins/menu/plugin.js
===================================================================
--- CKEditor/trunk/_source/plugins/menu/plugin.js	(revision 5836)
+++ CKEditor/trunk/_source/plugins/menu/plugin.js	(revision 5838)
@@ -222,6 +222,9 @@
 				sortItems( items );
 
+				var chromeRoot = editor.element.getNext().getChild( 1 );
+				var mixedContentClass = chromeRoot.hasClass( 'cke_mixed_dir_content' ) ? ' cke_mixed_dir_content' : '';
+
 				// Build the HTML that composes the menu and its items.
-				var output = [ '<div class="cke_menu" role="presentation">' ];
+				var output = [ '<div class="cke_menu' + mixedContentClass + '" role="presentation">' ];
 
 				var length = items.length,
Index: CKEditor/trunk/_source/skins/kama/icons.css
===================================================================
--- CKEditor/trunk/_source/skins/kama/icons.css	(revision 5836)
+++ CKEditor/trunk/_source/skins/kama/icons.css	(revision 5838)
@@ -249,4 +249,14 @@
 }
 
+.cke_skin_kama .cke_mixed_dir_content .cke_button_numberedlist .cke_icon
+{
+	background-position: 0 -1217px;
+}
+
+.cke_skin_kama .cke_mixed_dir_content .cke_button_bulletedlist .cke_icon
+{
+	background-position: 0 -1233px;
+}
+
 .cke_skin_kama .cke_button_outdent .cke_icon
 {
@@ -259,4 +269,14 @@
 }
 
+.cke_skin_kama .cke_mixed_dir_content .cke_button_indent .cke_icon
+{
+	background-position: 0 -1265px;
+}
+
+.cke_skin_kama .cke_mixed_dir_content .cke_button_outdent .cke_icon
+{
+	background-position: 0 -1249px;
+}
+
 .cke_skin_kama .cke_button_justifyleft .cke_icon
 {
Index: CKEditor/trunk/_source/skins/kama/menu.css
===================================================================
--- CKEditor/trunk/_source/skins/kama/menu.css	(revision 5836)
+++ CKEditor/trunk/_source/skins/kama/menu.css	(revision 5838)
@@ -43,4 +43,9 @@
 	height: 16px;
 	float: left;
+}
+
+.cke_rtl .cke_skin_kama .cke_menuitem .cke_icon
+{
+	background-image: url(icons_rtl.png);
 }
 
Index: CKEditor/trunk/_source/skins/kama/toolbar.css
===================================================================
--- CKEditor/trunk/_source/skins/kama/toolbar.css	(revision 5836)
+++ CKEditor/trunk/_source/skins/kama/toolbar.css	(revision 5838)
@@ -243,4 +243,9 @@
 .cke_skin_kama .cke_rtl .cke_button .cke_icon
 {
+	background-image: url(icons_rtl.png);
+}
+
+.cke_skin_kama .cke_rtl .cke_button .cke_icon
+{
 	float: right;
 }
Index: CKEditor/trunk/_source/skins/office2003/icons.css
===================================================================
--- CKEditor/trunk/_source/skins/office2003/icons.css	(revision 5836)
+++ CKEditor/trunk/_source/skins/office2003/icons.css	(revision 5838)
@@ -249,4 +249,14 @@
 }
 
+.cke_skin_office2003 .cke_mixed_dir_content .cke_button_numberedlist .cke_icon
+{
+	background-position: 0 -1217px;
+}
+
+.cke_skin_office2003 .cke_mixed_dir_content .cke_button_bulletedlist .cke_icon
+{
+	background-position: 0 -1233px;
+}
+
 .cke_skin_office2003 .cke_button_outdent .cke_icon
 {
@@ -259,4 +269,14 @@
 }
 
+.cke_skin_office2003 .cke_mixed_dir_content .cke_button_indent .cke_icon
+{
+	background-position: 0 -1265px;
+}
+
+.cke_skin_office2003 .cke_mixed_dir_content .cke_button_outdent .cke_icon
+{
+	background-position: 0 -1249px;
+}
+
 .cke_skin_office2003 .cke_button_justifyleft .cke_icon
 {
Index: CKEditor/trunk/_source/skins/office2003/menu.css
===================================================================
--- CKEditor/trunk/_source/skins/office2003/menu.css	(revision 5836)
+++ CKEditor/trunk/_source/skins/office2003/menu.css	(revision 5838)
@@ -43,4 +43,9 @@
 	height: 16px;
 	float: left;
+}
+
+.cke_rtl .cke_skin_office2003 .cke_menuitem .cke_icon
+{
+	background-image: url(icons_rtl.png);
 }
 
Index: CKEditor/trunk/_source/skins/office2003/toolbar.css
===================================================================
--- CKEditor/trunk/_source/skins/office2003/toolbar.css	(revision 5836)
+++ CKEditor/trunk/_source/skins/office2003/toolbar.css	(revision 5838)
@@ -309,4 +309,9 @@
 }
 
+.cke_skin_office2003 .cke_rtl .cke_button .cke_icon
+{
+	background-image: url(icons_rtl.png);
+}
+
 .cke_skin_office2003 .cke_button .cke_label
 {
Index: CKEditor/trunk/_source/skins/v2/icons.css
===================================================================
--- CKEditor/trunk/_source/skins/v2/icons.css	(revision 5836)
+++ CKEditor/trunk/_source/skins/v2/icons.css	(revision 5838)
@@ -249,4 +249,14 @@
 }
 
+.cke_skin_v2 .cke_mixed_dir_content .cke_button_numberedlist .cke_icon
+{
+	background-position: 0 -1217px;
+}
+
+.cke_skin_v2 .cke_mixed_dir_content .cke_button_bulletedlist .cke_icon
+{
+	background-position: 0 -1233px;
+}
+
 .cke_skin_v2 .cke_button_outdent .cke_icon
 {
@@ -259,4 +269,14 @@
 }
 
+.cke_skin_v2 .cke_mixed_dir_content .cke_button_indent .cke_icon
+{
+	background-position: 0 -1265px;
+}
+
+.cke_skin_v2 .cke_mixed_dir_content .cke_button_outdent .cke_icon
+{
+	background-position: 0 -1249px;
+}
+
 .cke_skin_v2 .cke_button_justifyleft .cke_icon
 {
Index: CKEditor/trunk/_source/skins/v2/menu.css
===================================================================
--- CKEditor/trunk/_source/skins/v2/menu.css	(revision 5836)
+++ CKEditor/trunk/_source/skins/v2/menu.css	(revision 5838)
@@ -42,4 +42,9 @@
 	height: 16px;
 	float: left;
+}
+
+.cke_rtl .cke_skin_v2 .cke_menuitem .cke_icon
+{
+	background-image: url(icons_rtl.png);
 }
 
Index: CKEditor/trunk/_source/skins/v2/toolbar.css
===================================================================
--- CKEditor/trunk/_source/skins/v2/toolbar.css	(revision 5836)
+++ CKEditor/trunk/_source/skins/v2/toolbar.css	(revision 5838)
@@ -282,4 +282,9 @@
 }
 
+.cke_skin_v2 .cke_rtl .cke_button .cke_icon
+{
+	background-image: url(icons_rtl.png);
+}
+
 .cke_skin_v2 .cke_button .cke_label
 {