Index: FCKeditor.Net/trunk/AssemblyInfo.cs
===================================================================
--- FCKeditor.Net/trunk/AssemblyInfo.cs	(revision 3887)
+++ FCKeditor.Net/trunk/AssemblyInfo.cs	(revision 5848)
@@ -1,5 +1,5 @@
 /*
  * FCKeditor - The text editor for Internet - http://www.fckeditor.net
- * Copyright (C) 2003-2007 Frederico Caldeira Knabben
+ * Copyright (c) 2003-2010, CKSource - Frederico Knabben. All rights reserved.
  *
  * == BEGIN LICENSE ==
Index: FCKeditor.Net/trunk/FCKeditor.cs
===================================================================
--- FCKeditor.Net/trunk/FCKeditor.cs	(revision 3887)
+++ FCKeditor.Net/trunk/FCKeditor.cs	(revision 5848)
@@ -1,5 +1,5 @@
 /*
  * FCKeditor - The text editor for Internet - http://www.fckeditor.net
- * Copyright (C) 2003-2007 Frederico Caldeira Knabben
+ * Copyright (c) 2003-2010, CKSource - Frederico Knabben. All rights reserved.
  *
  * == BEGIN LICENSE ==
Index: FCKeditor.Net/trunk/FCKeditorConfigurations.cs
===================================================================
--- FCKeditor.Net/trunk/FCKeditorConfigurations.cs	(revision 3887)
+++ FCKeditor.Net/trunk/FCKeditorConfigurations.cs	(revision 5848)
@@ -1,5 +1,5 @@
 /*
  * FCKeditor - The text editor for Internet - http://www.fckeditor.net
- * Copyright (C) 2003-2007 Frederico Caldeira Knabben
+ * Copyright (c) 2003-2010, CKSource - Frederico Knabben. All rights reserved.
  *
  * == BEGIN LICENSE ==
Index: FCKeditor.Net/trunk/FCKeditorDesigner.cs
===================================================================
--- FCKeditor.Net/trunk/FCKeditorDesigner.cs	(revision 3887)
+++ FCKeditor.Net/trunk/FCKeditorDesigner.cs	(revision 5848)
@@ -1,5 +1,5 @@
 /*
  * FCKeditor - The text editor for Internet - http://www.fckeditor.net
- * Copyright (C) 2003-2007 Frederico Caldeira Knabben
+ * Copyright (c) 2003-2010, CKSource - Frederico Knabben. All rights reserved.
  *
  * == BEGIN LICENSE ==
Index: FCKeditor.Net/trunk/FileBrowser/Config.cs
===================================================================
--- FCKeditor.Net/trunk/FileBrowser/Config.cs	(revision 3887)
+++ FCKeditor.Net/trunk/FileBrowser/Config.cs	(revision 5848)
@@ -1,5 +1,5 @@
 /*
  * FCKeditor - The text editor for Internet - http://www.fckeditor.net
- * Copyright (C) 2003-2007 Frederico Caldeira Knabben
+ * Copyright (c) 2003-2010, CKSource - Frederico Knabben. All rights reserved.
  *
  * == BEGIN LICENSE ==
Index: FCKeditor.Net/trunk/FileBrowser/Connector.cs
===================================================================
--- FCKeditor.Net/trunk/FileBrowser/Connector.cs	(revision 3887)
+++ FCKeditor.Net/trunk/FileBrowser/Connector.cs	(revision 5848)
@@ -1,5 +1,5 @@
 /*
  * FCKeditor - The text editor for Internet - http://www.fckeditor.net
- * Copyright (C) 2003-2007 Frederico Caldeira Knabben
+ * Copyright (c) 2003-2010, CKSource - Frederico Knabben. All rights reserved.
  *
  * == BEGIN LICENSE ==
Index: FCKeditor.Net/trunk/FileBrowser/FileWorkerBase.cs
===================================================================
--- FCKeditor.Net/trunk/FileBrowser/FileWorkerBase.cs	(revision 3887)
+++ FCKeditor.Net/trunk/FileBrowser/FileWorkerBase.cs	(revision 5848)
@@ -1,5 +1,5 @@
 /*
  * FCKeditor - The text editor for Internet - http://www.fckeditor.net
- * Copyright (C) 2003-2007 Frederico Caldeira Knabben
+ * Copyright (c) 2003-2010, CKSource - Frederico Knabben. All rights reserved.
  *
  * == BEGIN LICENSE ==
Index: FCKeditor.Net/trunk/FileBrowser/TypeConfig.cs
===================================================================
--- FCKeditor.Net/trunk/FileBrowser/TypeConfig.cs	(revision 3887)
+++ FCKeditor.Net/trunk/FileBrowser/TypeConfig.cs	(revision 5848)
@@ -1,5 +1,5 @@
 /*
  * FCKeditor - The text editor for Internet - http://www.fckeditor.net
- * Copyright (C) 2003-2007 Frederico Caldeira Knabben
+ * Copyright (c) 2003-2010, CKSource - Frederico Knabben. All rights reserved.
  *
  * == BEGIN LICENSE ==
Index: FCKeditor.Net/trunk/FileBrowser/TypeConfigList.cs
===================================================================
--- FCKeditor.Net/trunk/FileBrowser/TypeConfigList.cs	(revision 3887)
+++ FCKeditor.Net/trunk/FileBrowser/TypeConfigList.cs	(revision 5848)
@@ -1,5 +1,5 @@
 /*
  * FCKeditor - The text editor for Internet - http://www.fckeditor.net
- * Copyright (C) 2003-2007 Frederico Caldeira Knabben
+ * Copyright (c) 2003-2010, CKSource - Frederico Knabben. All rights reserved.
  *
  * == BEGIN LICENSE ==
Index: FCKeditor.Net/trunk/FileBrowser/Uploader.cs
===================================================================
--- FCKeditor.Net/trunk/FileBrowser/Uploader.cs	(revision 3887)
+++ FCKeditor.Net/trunk/FileBrowser/Uploader.cs	(revision 5848)
@@ -1,5 +1,5 @@
 /*
  * FCKeditor - The text editor for Internet - http://www.fckeditor.net
- * Copyright (C) 2003-2007 Frederico Caldeira Knabben
+ * Copyright (c) 2003-2010, CKSource - Frederico Knabben. All rights reserved.
  *
  * == BEGIN LICENSE ==
Index: FCKeditor.Net/trunk/FileBrowser/XmlResponseHandler.cs
===================================================================
--- FCKeditor.Net/trunk/FileBrowser/XmlResponseHandler.cs	(revision 3887)
+++ FCKeditor.Net/trunk/FileBrowser/XmlResponseHandler.cs	(revision 5848)
@@ -1,5 +1,5 @@
 /*
  * FCKeditor - The text editor for Internet - http://www.fckeditor.net
- * Copyright (C) 2003-2007 Frederico Caldeira Knabben
+ * Copyright (c) 2003-2010, CKSource - Frederico Knabben. All rights reserved.
  *
  * == BEGIN LICENSE ==
Index: FCKeditor.Net/trunk/Util.cs
===================================================================
--- FCKeditor.Net/trunk/Util.cs	(revision 3887)
+++ FCKeditor.Net/trunk/Util.cs	(revision 5848)
@@ -1,5 +1,5 @@
 /*
  * FCKeditor - The text editor for Internet - http://www.fckeditor.net
- * Copyright (C) 2003-2007 Frederico Caldeira Knabben
+ * Copyright (c) 2003-2010, CKSource - Frederico Knabben. All rights reserved.
  *
  * == BEGIN LICENSE ==
Index: FCKeditor.Net/trunk/XmlUtil.cs
===================================================================
--- FCKeditor.Net/trunk/XmlUtil.cs	(revision 3887)
+++ FCKeditor.Net/trunk/XmlUtil.cs	(revision 5848)
@@ -1,5 +1,5 @@
 /*
  * FCKeditor - The text editor for Internet - http://www.fckeditor.net
- * Copyright (C) 2003-2007 Frederico Caldeira Knabben
+ * Copyright (c) 2003-2010, CKSource - Frederico Knabben. All rights reserved.
  *
  * == BEGIN LICENSE ==
Index: FCKeditor.Net/trunk/_documentation.html
===================================================================
--- FCKeditor.Net/trunk/_documentation.html	(revision 3887)
+++ FCKeditor.Net/trunk/_documentation.html	(revision 5848)
@@ -2,5 +2,5 @@
 <!--
  * FCKeditor - The text editor for Internet - http://www.fckeditor.net
- * Copyright (C) 2003-2007 Frederico Caldeira Knabben
+ * Copyright (c) 2003-2010, CKSource - Frederico Knabben. All rights reserved.
  *
  * == BEGIN LICENSE ==
Index: FCKeditor.Net/trunk/_samples/aspx/1.1/sample01.aspx
===================================================================
--- FCKeditor.Net/trunk/_samples/aspx/1.1/sample01.aspx	(revision 3887)
+++ FCKeditor.Net/trunk/_samples/aspx/1.1/sample01.aspx	(revision 5848)
@@ -5,5 +5,5 @@
 <%--
  * FCKeditor - The text editor for Internet - http://www.fckeditor.net
- * Copyright (C) 2003-2008 Frederico Caldeira Knabben
+ * Copyright (c) 2003-2010, CKSource - Frederico Knabben. All rights reserved.
  *
  * == BEGIN LICENSE ==
Index: FCKeditor.Net/trunk/_samples/aspx/1.1/sample02.aspx
===================================================================
--- FCKeditor.Net/trunk/_samples/aspx/1.1/sample02.aspx	(revision 3887)
+++ FCKeditor.Net/trunk/_samples/aspx/1.1/sample02.aspx	(revision 5848)
@@ -5,5 +5,5 @@
 <%--
  * FCKeditor - The text editor for Internet - http://www.fckeditor.net
- * Copyright (C) 2003-2008 Frederico Caldeira Knabben
+ * Copyright (c) 2003-2010, CKSource - Frederico Knabben. All rights reserved.
  *
  * == BEGIN LICENSE ==
Index: FCKeditor.Net/trunk/_samples/aspx/1.1/sample03.aspx
===================================================================
--- FCKeditor.Net/trunk/_samples/aspx/1.1/sample03.aspx	(revision 3887)
+++ FCKeditor.Net/trunk/_samples/aspx/1.1/sample03.aspx	(revision 5848)
@@ -5,5 +5,5 @@
 <%--
  * FCKeditor - The text editor for Internet - http://www.fckeditor.net
- * Copyright (C) 2003-2008 Frederico Caldeira Knabben
+ * Copyright (c) 2003-2010, CKSource - Frederico Knabben. All rights reserved.
  *
  * == BEGIN LICENSE ==
Index: FCKeditor.Net/trunk/_samples/aspx/1.1/sample04.aspx
===================================================================
--- FCKeditor.Net/trunk/_samples/aspx/1.1/sample04.aspx	(revision 3887)
+++ FCKeditor.Net/trunk/_samples/aspx/1.1/sample04.aspx	(revision 5848)
@@ -5,5 +5,5 @@
 <%--
  * FCKeditor - The text editor for Internet - http://www.fckeditor.net
- * Copyright (C) 2003-2008 Frederico Caldeira Knabben
+ * Copyright (c) 2003-2010, CKSource - Frederico Knabben. All rights reserved.
  *
  * == BEGIN LICENSE ==
Index: FCKeditor.Net/trunk/_samples/aspx/2.0/sample01.aspx
===================================================================
--- FCKeditor.Net/trunk/_samples/aspx/2.0/sample01.aspx	(revision 3887)
+++ FCKeditor.Net/trunk/_samples/aspx/2.0/sample01.aspx	(revision 5848)
@@ -5,5 +5,5 @@
 <%--
  * FCKeditor - The text editor for Internet - http://www.fckeditor.net
- * Copyright (C) 2003-2008 Frederico Caldeira Knabben
+ * Copyright (c) 2003-2010, CKSource - Frederico Knabben. All rights reserved.
  *
  * == BEGIN LICENSE ==
Index: FCKeditor.Net/trunk/_samples/aspx/2.0/sample02.aspx
===================================================================
--- FCKeditor.Net/trunk/_samples/aspx/2.0/sample02.aspx	(revision 3887)
+++ FCKeditor.Net/trunk/_samples/aspx/2.0/sample02.aspx	(revision 5848)
@@ -5,5 +5,5 @@
 <%--
  * FCKeditor - The text editor for Internet - http://www.fckeditor.net
- * Copyright (C) 2003-2008 Frederico Caldeira Knabben
+ * Copyright (c) 2003-2010, CKSource - Frederico Knabben. All rights reserved.
  *
  * == BEGIN LICENSE ==
Index: FCKeditor.Net/trunk/_samples/aspx/2.0/sample03.aspx
===================================================================
--- FCKeditor.Net/trunk/_samples/aspx/2.0/sample03.aspx	(revision 3887)
+++ FCKeditor.Net/trunk/_samples/aspx/2.0/sample03.aspx	(revision 5848)
@@ -5,5 +5,5 @@
 <%--
  * FCKeditor - The text editor for Internet - http://www.fckeditor.net
- * Copyright (C) 2003-2008 Frederico Caldeira Knabben
+ * Copyright (c) 2003-2010, CKSource - Frederico Knabben. All rights reserved.
  *
  * == BEGIN LICENSE ==
Index: FCKeditor.Net/trunk/_samples/aspx/2.0/sample04.aspx
===================================================================
--- FCKeditor.Net/trunk/_samples/aspx/2.0/sample04.aspx	(revision 3887)
+++ FCKeditor.Net/trunk/_samples/aspx/2.0/sample04.aspx	(revision 5848)
@@ -5,5 +5,5 @@
 <%--
  * FCKeditor - The text editor for Internet - http://www.fckeditor.net
- * Copyright (C) 2003-2008 Frederico Caldeira Knabben
+ * Copyright (c) 2003-2010, CKSource - Frederico Knabben. All rights reserved.
  *
  * == BEGIN LICENSE ==
Index: FCKeditor.Net/trunk/_whatsnew.html
===================================================================
--- FCKeditor.Net/trunk/_whatsnew.html	(revision 3887)
+++ FCKeditor.Net/trunk/_whatsnew.html	(revision 5848)
@@ -2,5 +2,5 @@
 <!--
  * FCKeditor - The text editor for Internet - http://www.fckeditor.net
- * Copyright (C) 2003-2007 Frederico Caldeira Knabben
+ * Copyright (c) 2003-2010, CKSource - Frederico Knabben. All rights reserved.
  *
  * == BEGIN LICENSE ==
Index: FCKeditor.Net/trunk/license.txt
===================================================================
--- FCKeditor.Net/trunk/license.txt	(revision 3887)
+++ FCKeditor.Net/trunk/license.txt	(revision 5848)
@@ -1,4 +1,4 @@
 FCKeditor - The text editor for Internet - http://www.fckeditor.net
-Copyright (C) 2003-2007 Frederico Caldeira Knabben
+Copyright (c) 2003-2010, CKSource - Frederico Knabben. All rights reserved.
 
 Licensed under the terms of any of the following licenses at your