Index: CKEditor/trunk/CHANGES.html
===================================================================
--- CKEditor/trunk/CHANGES.html	(revision 5886)
+++ CKEditor/trunk/CHANGES.html	(revision 5891)
@@ -36,5 +36,5 @@
 	</h1>
 	<h3>
-			CKEditor 3.4.1 (SVN)</h3>
+			CKEditor 3.4.1</h3>
 	<p>
 			New features:</p>
@@ -61,5 +61,5 @@
 		<li><a href="http://dev.ckeditor.com/ticket/6163">#6163</a> : Focus not going to Tabs in Image dialog when we went to Edit the Image.</li>
 		<li><a href="http://dev.ckeditor.com/ticket/6177">#6177</a> : IE we can't start Numbered/Bulleted list on a Empty page.</li>
-		<li><a href="http://dev.ckeditor.com/ticket/5413">#5413</a> : Browser error after pasting html table in ckeditor.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/5413">#5413</a> : Browser error after pasting html table in CKEditor.</li>
 		<li><a href="http://dev.ckeditor.com/ticket/6034">#6034</a> : Horizontal Alignment applied to Table cell is not updated correctly in the Toolbar.</li>
 		<li><a href="http://dev.ckeditor.com/ticket/6112">#6112</a> : BIDI: Alignment set to text in Table cell is not shown in the Tool bar when we press Enter to start a new Paragraph.</li>
@@ -75,8 +75,8 @@
 		<li><a href="http://dev.ckeditor.com/ticket/5421">#5421</a> : &amp;shy; entity not converted when config.entities=false.</li>
 		<li><a href="http://dev.ckeditor.com/ticket/5769">#5769</a> : xhtml code generation problem &amp;nbsp; instead of &amp;#160; (htmlentities, entities,entities_additional,..., configuration).</li>
-		<li><a href="http://dev.ckeditor.com/ticket/4472">#4472</a> : [FF3] Browserwindow scrolls to loaded ckEditor.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/4472">#4472</a> : [FF3] Browser window scrolls to loaded CKEditor.</li>
 		<li><a href="http://dev.ckeditor.com/ticket/6230">#6230</a> : Fixed invalid parameter count for setTimeout function call.</li>
 		<li><a href="http://dev.ckeditor.com/ticket/5335">#5335</a> : Several lines' formatted data will be merged to one line when we apply Numbers/Bullets.</li>
-		<li><a href="http://dev.ckeditor.com/ticket/5353">#5353</a> : wrong width of editor after resize() called in firefox 3.6.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/5353">#5353</a> : wrong width of editor after resize() called in Firefox 3.6.</li>
 		<li><a href="http://dev.ckeditor.com/ticket/5778">#5778</a> : [IE] Unwanted scroll on first mouse right-click.</li>
 		<li><a href="http://dev.ckeditor.com/ticket/5218">#5218</a> : [FF] Copy/paste of an image from same domain changed URL to relative URL.</li>
@@ -89,7 +89,9 @@
 		<li><a href="http://dev.ckeditor.com/ticket/4657">#4657</a> : [Opera] Styles where not working with collapsed selections.</li>
 		<li><a href="http://dev.ckeditor.com/ticket/5839">#5839</a> : "Insert row after" was removing the ids of the elements from the clicked row.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/6315">#6315</a> : DIV plugin TT #2885 regression.</li>
 		<li>Updated the following language files:<ul>
 			<li><a href="http://dev.ckeditor.com/ticket/6246">#6246</a> : Chinese Simplified;</li>
 			<li><a href="http://dev.ckeditor.com/ticket/6256">#6256</a> : Dutch;</li>
+			<li><a href="http://dev.ckeditor.com/ticket/6271">#6271</a> : English;</li>
 		</ul></li>
 	</ul>
Index: CKEditor/trunk/_source/plugins/div/dialogs/div.js
===================================================================
--- CKEditor/trunk/_source/plugins/div/dialogs/div.js	(revision 5886)
+++ CKEditor/trunk/_source/plugins/div/dialogs/div.js	(revision 5891)
@@ -509,5 +509,7 @@
 			onHide : function()
 			{
-				this._element.removeCustomData( 'elementStyle' );
+				// Remove style only when editing existing DIV. (#6315)
+				if ( command == 'editdiv' )
+					this._element.removeCustomData( 'elementStyle' );
 				delete this._element;
 			}
Index: CKEditor/trunk/_source/skins/office2003/richcombo.css
===================================================================
--- CKEditor/trunk/_source/skins/office2003/richcombo.css	(revision 5886)
+++ CKEditor/trunk/_source/skins/office2003/richcombo.css	(revision 5891)
@@ -291,6 +291,6 @@
 }
 
-.cke_skin_office2003 .cke_rtl .cke_rcombo .cke_font,
-.cke_skin_office2003 .cke_rtl .cke_rcombo .cke_fontSize
+.cke_skin_office2003 .cke_rtl .cke_rcombo .cke_font .cke_text,
+.cke_skin_office2003 .cke_rtl .cke_rcombo .cke_fontSize .cke_text
 {
 	direction: ltr;
Index: CKEditor/trunk/_source/skins/v2/richcombo.css
===================================================================
--- CKEditor/trunk/_source/skins/v2/richcombo.css	(revision 5886)
+++ CKEditor/trunk/_source/skins/v2/richcombo.css	(revision 5891)
@@ -291,6 +291,6 @@
 }
 
-.cke_skin_v2 .cke_rtl .cke_rcombo .cke_font,
-.cke_skin_v2 .cke_rtl .cke_rcombo .cke_fontSize
+.cke_skin_v2 .cke_rtl .cke_rcombo .cke_font .cke_text,
+.cke_skin_v2 .cke_rtl .cke_rcombo .cke_fontSize .cke_text
 {
 	direction: ltr;