Index: CKEditor/branches/versions/3.5.x/CHANGES.html
===================================================================
--- CKEditor/branches/versions/3.5.x/CHANGES.html	(revision 5841)
+++ CKEditor/branches/versions/3.5.x/CHANGES.html	(revision 5911)
@@ -41,4 +41,7 @@
 	<p>
 			Fixed issues:</p>
+	<ul>
+		<li><a href="http://dev.ckeditor.com/ticket/4821">#4821</a> : Icons in the toolbar were distorted with IE and zoom != 100%</li>
+	</ul>
 	<h3>
 			CKEditor 3.4.1 (SVN)</h3>
Index: CKEditor/branches/versions/3.5.x/_source/skins/kama/menu.css
===================================================================
--- CKEditor/branches/versions/3.5.x/_source/skins/kama/menu.css	(revision 5841)
+++ CKEditor/branches/versions/3.5.x/_source/skins/kama/menu.css	(revision 5911)
@@ -50,8 +50,36 @@
 }
 
+/* IE with zoom != 100% will distort the icons otherwise #4821 */
+.cke_browser_ie .cke_skin_kama .cke_menuitem .cke_icon
+{
+	filter: progid:DXImageTransform.Microsoft.AlphaImageLoader(src='icons.png', sizingMethod='scale');
+}
+.cke_browser_ie.cke_rtl .cke_skin_kama .cke_menuitem .cke_icon
+{
+	filter: progid:DXImageTransform.Microsoft.AlphaImageLoader(src='icons_rtl.png', sizingMethod='scale');
+}
+.cke_browser_ie6 .cke_skin_kama .cke_menuitem .cke_icon
+{
+	filter: ;
+}
+
 .cke_skin_kama .cke_menuitem .cke_disabled .cke_icon
 {
 	filter: alpha(opacity=70); /* IE */
 	opacity: 0.70; /* Safari, Opera and Mozilla */
+}
+
+/* IE with zoom != 100% will distort the icons otherwise #4821 */
+.cke_browser_ie .cke_skin_kama .cke_menuitem .cke_disabled .cke_icon
+{
+	filter: progid:DXImageTransform.Microsoft.AlphaImageLoader(src='icons.png', sizingMethod='scale');
+}
+.cke_browser_ie.cke_rtl .cke_skin_kama .cke_menuitem .cke_disabled .cke_icon
+{
+	filter: progid:DXImageTransform.Microsoft.AlphaImageLoader(src='icons_rtl.png', sizingMethod='scale');
+}
+.cke_browser_ie6 .cke_skin_kama .cke_menuitem .cke_disabled .cke_icon
+{
+	filter: ;
 }
 
Index: CKEditor/branches/versions/3.5.x/_source/skins/kama/richcombo.css
===================================================================
--- CKEditor/branches/versions/3.5.x/_source/skins/kama/richcombo.css	(revision 5841)
+++ CKEditor/branches/versions/3.5.x/_source/skins/kama/richcombo.css	(revision 5911)
@@ -201,4 +201,14 @@
 }
 
+/* IE with zoom != 100% will distort the icons otherwise #4821 */
+.cke_skin_kama .cke_browser_ie .cke_rcombo .cke_disabled .cke_openbutton
+{
+	filter: progid:DXImageTransform.Microsoft.AlphaImageLoader(src='images/sprites.png', sizingMethod='scale'), alpha(opacity=50);
+}
+.cke_skin_kama .cke_browser_ie6 .cke_rcombo .cke_disabled .cke_openbutton
+{
+	filter: alpha(opacity=50);
+}
+
 .cke_skin_kama .cke_hc .cke_rcombo .cke_disabled .cke_text,
 .cke_skin_kama .cke_hc .cke_rcombo .cke_disabled .cke_openbutton
Index: CKEditor/branches/versions/3.5.x/_source/skins/kama/toolbar.css
===================================================================
--- CKEditor/branches/versions/3.5.x/_source/skins/kama/toolbar.css	(revision 5841)
+++ CKEditor/branches/versions/3.5.x/_source/skins/kama/toolbar.css	(revision 5911)
@@ -180,9 +180,25 @@
 }
 
-.cke_skin_kama .cke_button a.cke_disabled *,
-.cke_skin_kama .cke_browser_ie a:hover.cke_button .cke_disabled *
+.cke_skin_kama .cke_button a.cke_disabled *
 {
 	filter: alpha(opacity=30); /* IE */
 	opacity: 0.3; /* Safari, Opera and Mozilla */
+}
+
+/* IE with zoom != 100% will distort the icons otherwise #4821 */
+.cke_skin_kama .cke_browser_ie .cke_button a.cke_disabled *,
+.cke_skin_kama .cke_browser_ie a:hover.cke_button .cke_disabled *
+{
+	filter: progid:DXImageTransform.Microsoft.AlphaImageLoader(src='icons.png', sizingMethod='scale'), alpha(opacity=30);
+}
+.cke_skin_kama .cke_browser_ie .cke_rtl .cke_button a.cke_disabled *,
+.cke_skin_kama .cke_browser_ie .cke_rtl a:hover.cke_button .cke_disabled *
+{
+	filter: progid:DXImageTransform.Microsoft.AlphaImageLoader(src='icons_rtl.png', sizingMethod='scale'), alpha(opacity=30);
+}
+.cke_skin_kama .cke_browser_ie6 .cke_button a.cke_disabled *,
+.cke_skin_kama .cke_browser_ie6 a:hover.cke_button .cke_disabled *
+{
+	filter: alpha(opacity=30);
 }
 
@@ -245,4 +261,17 @@
 	background-image: url(icons_rtl.png);
 }
+/* IE with zoom != 100% will distort the icons otherwise #4821 */
+.cke_skin_kama .cke_browser_ie .cke_button .cke_icon
+{
+	filter: progid:DXImageTransform.Microsoft.AlphaImageLoader(src='icons.png', sizingMethod='scale'); 
+}
+.cke_skin_kama .cke_browser_ie .cke_rtl .cke_button .cke_icon
+{
+	filter: progid:DXImageTransform.Microsoft.AlphaImageLoader(src='icons_rtl.png', sizingMethod='scale'); 
+}
+.cke_skin_kama .cke_browser_ie6 .cke_button .cke_icon
+{
+	filter: ;
+}
 
 .cke_skin_kama .cke_rtl .cke_button .cke_icon
@@ -301,4 +330,14 @@
 }
 
+/* IE with zoom != 100% will distort the icons otherwise #4821 */
+.cke_skin_kama .cke_browser_ie .cke_button .cke_buttonarrow
+{
+	filter: progid:DXImageTransform.Microsoft.AlphaImageLoader(src='images/sprites.png', sizingMethod='scale');
+}
+.cke_skin_kama .cke_browser_ie6 .cke_button .cke_buttonarrow
+{
+	filter: ;
+}
+
 .cke_skin_kama .cke_rtl .cke_button .cke_buttonarrow
 {
Index: CKEditor/branches/versions/3.5.x/_source/skins/office2003/menu.css
===================================================================
--- CKEditor/branches/versions/3.5.x/_source/skins/office2003/menu.css	(revision 5841)
+++ CKEditor/branches/versions/3.5.x/_source/skins/office2003/menu.css	(revision 5911)
@@ -50,8 +50,36 @@
 }
 
+/* IE with zoom != 100% will distort the icons otherwise #4821 */
+.cke_browser_ie .cke_skin_office2003 .cke_menuitem .cke_icon
+{
+	filter: progid:DXImageTransform.Microsoft.AlphaImageLoader(src='icons.png', sizingMethod='scale');
+}
+.cke_browser_ie.cke_rtl .cke_skin_office2003 .cke_menuitem .cke_icon
+{
+	filter: progid:DXImageTransform.Microsoft.AlphaImageLoader(src='icons_rtl.png', sizingMethod='scale');
+}
+.cke_browser_ie6 .cke_skin_office2003 .cke_menuitem .cke_icon
+{
+	filter: ;
+}
+
 .cke_skin_office2003 .cke_menuitem .cke_disabled .cke_icon
 {
 	filter: alpha(opacity=70); /* IE */
 	opacity: 0.70; /* Safari, Opera and Mozilla */
+}
+
+/* IE with zoom != 100% will distort the icons otherwise #4821 */
+.cke_browser_ie .cke_skin_office2003 .cke_menuitem .cke_disabled .cke_icon
+{
+	filter: progid:DXImageTransform.Microsoft.AlphaImageLoader(src='icons.png', sizingMethod='scale');
+}
+.cke_browser_ie.cke_rtl .cke_skin_office2003 .cke_menuitem .cke_disabled .cke_icon
+{
+	filter: progid:DXImageTransform.Microsoft.AlphaImageLoader(src='icons_rtl.png', sizingMethod='scale');
+}
+.cke_browser_ie6 .cke_skin_office2003 .cke_menuitem .cke_disabled .cke_icon
+{
+	filter: ;
 }
 
Index: CKEditor/branches/versions/3.5.x/_source/skins/office2003/richcombo.css
===================================================================
--- CKEditor/branches/versions/3.5.x/_source/skins/office2003/richcombo.css	(revision 5841)
+++ CKEditor/branches/versions/3.5.x/_source/skins/office2003/richcombo.css	(revision 5911)
@@ -145,5 +145,5 @@
 	background-position: 5px -1002px;
 	background-image: url(images/sprites.png);
-	background-image: url(images/sprites_ie6.png);
+	_background-image: url(images/sprites_ie6.png);
 	background-repeat: no-repeat;
 
@@ -152,4 +152,14 @@
 	width: 14px;
 	height: 22px;
+}
+
+/* IE with zoom != 100% will distort the icons otherwise #4821 */
+.cke_skin_office2003 .cke_browser_ie .cke_rcombo .cke_openbutton
+{
+	filter: progid:DXImageTransform.Microsoft.AlphaImageLoader(src='images/sprites.png', sizingMethod='scale'); 
+}
+.cke_skin_office2003 .cke_browser_ie6 .cke_rcombo .cke_openbutton
+{
+	filter: ;
 }
 
@@ -245,4 +255,14 @@
 }
 
+/* IE with zoom != 100% will distort the icons otherwise #4821 */
+.cke_skin_office2003 .cke_browser_ie .cke_rcombo .cke_disabled .cke_openbutton
+{
+	filter: progid:DXImageTransform.Microsoft.AlphaImageLoader(src='images/sprites.png', sizingMethod='scale'), alpha(opacity=50);
+}
+.cke_skin_office2003 .cke_browser_ie6 .cke_rcombo .cke_disabled .cke_openbutton
+{
+	filter: alpha(opacity=50);
+}
+
 .cke_skin_office2003 .cke_hc .cke_rcombo .cke_disabled .cke_text,
 .cke_skin_office2003 .cke_hc .cke_rcombo .cke_disabled .cke_openbutton
@@ -251,4 +271,5 @@
 	opacity: 0.8;
 }
+
 
 .cke_skin_office2003 .cke_rcombo .cke_disabled .cke_text
Index: CKEditor/branches/versions/3.5.x/_source/skins/office2003/toolbar.css
===================================================================
--- CKEditor/branches/versions/3.5.x/_source/skins/office2003/toolbar.css	(revision 5841)
+++ CKEditor/branches/versions/3.5.x/_source/skins/office2003/toolbar.css	(revision 5911)
@@ -269,9 +269,25 @@
 }
 
-.cke_skin_office2003 .cke_button a.cke_disabled *,
-.cke_skin_office2003 .cke_browser_ie a:hover.cke_button .cke_disabled *
+.cke_skin_office2003 .cke_button a.cke_disabled *
 {
 	filter: alpha(opacity=30); /* IE */
 	opacity: 0.3; /* Safari, Opera and Mozilla */
+}
+
+/* IE with zoom != 100% will distort the icons otherwise #4821 */
+.cke_skin_office2003 .cke_browser_ie .cke_button a.cke_disabled *,
+.cke_skin_office2003 .cke_browser_ie a:hover.cke_button .cke_disabled *
+{
+	filter: progid:DXImageTransform.Microsoft.AlphaImageLoader(src='icons.png', sizingMethod='scale'), alpha(opacity=30);
+}
+.cke_skin_office2003 .cke_browser_ie .cke_rtl .cke_button a.cke_disabled *,
+.cke_skin_office2003 .cke_browser_ie .cke_rtl a:hover.cke_button .cke_disabled *
+{
+	filter: progid:DXImageTransform.Microsoft.AlphaImageLoader(src='icons_rtl.png', sizingMethod='scale'), alpha(opacity=30);
+}
+.cke_skin_office2003 .cke_browser_ie6 .cke_button a.cke_disabled *,
+.cke_skin_office2003 .cke_browser_ie6 a:hover.cke_button .cke_disabled *
+{
+	filter: alpha(opacity=30);
 }
 
@@ -314,4 +330,18 @@
 }
 
+/* IE with zoom != 100% will distort the icons otherwise #4821 */
+.cke_skin_office2003 .cke_browser_ie .cke_button .cke_icon
+{
+	filter: progid:DXImageTransform.Microsoft.AlphaImageLoader(src='icons.png', sizingMethod='scale'); 
+}
+.cke_skin_office2003 .cke_browser_ie .cke_rtl .cke_button .cke_icon
+{
+	filter: progid:DXImageTransform.Microsoft.AlphaImageLoader(src='icons_rtl.png', sizingMethod='scale'); 
+}
+.cke_skin_office2003 .cke_browser_ie6 .cke_button .cke_icon
+{
+	filter: ;
+}
+
 .cke_skin_office2003 .cke_button .cke_label
 {
@@ -367,4 +397,14 @@
 	background-repeat: no-repeat;
 	cursor: default;
+}
+
+/* IE with zoom != 100% will distort the icons otherwise #4821 */
+.cke_skin_office2003 .cke_browser_ie .cke_button .cke_buttonarrow
+{
+	filter: progid:DXImageTransform.Microsoft.AlphaImageLoader(src='images/sprites.png', sizingMethod='scale');
+}
+.cke_skin_office2003 .cke_browser_ie6 .cke_button .cke_buttonarrow
+{
+	filter: ;
 }
 
Index: CKEditor/branches/versions/3.5.x/_source/skins/v2/menu.css
===================================================================
--- CKEditor/branches/versions/3.5.x/_source/skins/v2/menu.css	(revision 5841)
+++ CKEditor/branches/versions/3.5.x/_source/skins/v2/menu.css	(revision 5911)
@@ -49,8 +49,37 @@
 }
 
+/* IE with zoom != 100% will distort the icons otherwise #4821 */
+.cke_browser_ie .cke_skin_v2 .cke_menuitem .cke_icon
+{
+	filter: progid:DXImageTransform.Microsoft.AlphaImageLoader(src='icons.png', sizingMethod='scale');
+}
+.cke_browser_ie.cke_rtl .cke_skin_v2 .cke_menuitem .cke_icon
+{
+	filter: progid:DXImageTransform.Microsoft.AlphaImageLoader(src='icons_rtl.png', sizingMethod='scale');
+}
+.cke_browser_ie6 .cke_skin_v2 .cke_menuitem .cke_icon
+{
+	filter: ;
+}
+
 .cke_skin_v2 .cke_menuitem .cke_disabled .cke_icon
 {
 	filter: alpha(opacity=70); /* IE */
 	opacity: 0.70; /* Safari, Opera and Mozilla */
+}
+
+
+/* IE with zoom != 100% will distort the icons otherwise #4821 */
+.cke_browser_ie .cke_skin_v2 .cke_menuitem .cke_disabled .cke_icon
+{
+	filter: progid:DXImageTransform.Microsoft.AlphaImageLoader(src='icons.png', sizingMethod='scale');
+}
+.cke_browser_ie.cke_rtl .cke_skin_v2 .cke_menuitem .cke_disabled .cke_icon
+{
+	filter: progid:DXImageTransform.Microsoft.AlphaImageLoader(src='icons_rtl.png', sizingMethod='scale');
+}
+.cke_browser_ie6 .cke_skin_v2 .cke_menuitem .cke_disabled .cke_icon
+{
+	filter: ;
 }
 
Index: CKEditor/branches/versions/3.5.x/_source/skins/v2/richcombo.css
===================================================================
--- CKEditor/branches/versions/3.5.x/_source/skins/v2/richcombo.css	(revision 5841)
+++ CKEditor/branches/versions/3.5.x/_source/skins/v2/richcombo.css	(revision 5911)
@@ -149,4 +149,14 @@
 }
 
+/* IE with zoom != 100% will distort the icons otherwise #4821 */
+.cke_skin_v2 .cke_browser_ie .cke_rcombo .cke_openbutton
+{
+	filter: progid:DXImageTransform.Microsoft.AlphaImageLoader(src='images/sprites.png', sizingMethod='scale'); 
+}
+.cke_skin_v2 .cke_browser_ie6 .cke_rcombo .cke_openbutton
+{
+	filter: ;
+}
+
 .cke_skin_v2 .cke_rcombo .cke_openbutton span
 {
@@ -240,4 +250,14 @@
 }
 
+/* IE with zoom != 100% will distort the icons otherwise #4821 */
+.cke_skin_v2 .cke_browser_ie .cke_rcombo .cke_disabled .cke_openbutton
+{
+	filter: progid:DXImageTransform.Microsoft.AlphaImageLoader(src='images/sprites.png', sizingMethod='scale'), alpha(opacity=50);
+}
+.cke_skin_v2 .cke_browser_ie6 .cke_rcombo .cke_disabled .cke_openbutton
+{
+	filter: alpha(opacity=50);
+}
+
 .cke_skin_v2 .cke_hc .cke_rcombo .cke_disabled .cke_text,
 .cke_skin_v2 .cke_hc .cke_rcombo .cke_disabled .cke_openbutton
Index: CKEditor/branches/versions/3.5.x/_source/skins/v2/toolbar.css
===================================================================
--- CKEditor/branches/versions/3.5.x/_source/skins/v2/toolbar.css	(revision 5841)
+++ CKEditor/branches/versions/3.5.x/_source/skins/v2/toolbar.css	(revision 5911)
@@ -239,9 +239,25 @@
 }
 
-.cke_skin_v2 .cke_button a.cke_disabled *,
-.cke_skin_v2 .cke_browser_ie a:hover.cke_button .cke_disabled *
+.cke_skin_v2 .cke_button a.cke_disabled *
 {
 	filter: alpha(opacity=30); /* IE */
 	opacity: 0.3; /* Safari, Opera and Mozilla */
+}
+
+/* IE with zoom != 100% will distort the icons otherwise #4821 */
+.cke_skin_v2 .cke_browser_ie .cke_button a.cke_disabled *,
+.cke_skin_v2 .cke_browser_ie a:hover.cke_button .cke_disabled *
+{
+	filter: progid:DXImageTransform.Microsoft.AlphaImageLoader(src='icons.png', sizingMethod='scale'), alpha(opacity=30);
+}
+.cke_skin_v2 .cke_browser_ie .cke_rtl .cke_button a.cke_disabled *,
+.cke_skin_v2 .cke_browser_ie .cke_rtl a:hover.cke_button .cke_disabled *
+{
+	filter: progid:DXImageTransform.Microsoft.AlphaImageLoader(src='icons_rtl.png', sizingMethod='scale'), alpha(opacity=30);
+}
+.cke_skin_v2 .cke_browser_ie6 .cke_button a.cke_disabled *,
+.cke_skin_v2 .cke_browser_ie6 a:hover.cke_button .cke_disabled *
+{
+	filter: alpha(opacity=30);
 }
 
@@ -285,4 +301,18 @@
 {
 	background-image: url(icons_rtl.png);
+}
+
+/* IE with zoom != 100% will distort the icons otherwise #4821 */
+.cke_skin_v2 .cke_browser_ie .cke_button .cke_icon
+{
+	filter: progid:DXImageTransform.Microsoft.AlphaImageLoader(src='icons.png', sizingMethod='scale'); 
+}
+.cke_skin_v2 .cke_browser_ie .cke_rtl .cke_button .cke_icon
+{
+	filter: progid:DXImageTransform.Microsoft.AlphaImageLoader(src='icons_rtl.png', sizingMethod='scale'); 
+}
+.cke_skin_v2 .cke_browser_ie6 .cke_button .cke_icon
+{
+	filter: ;
 }
 